Subject: Re: Unable to fdopen() a pipe handle
From: [email-masked] (Earnie Boyd)

14 Jul 1998 16:46:11 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Craig Setera <[email-masked]>
Cc: gw32 <[email-masked]>

---Craig Setera <[email-masked]> wrote:
>
> I've got a chunk of code that create an anonymous pipe using pipe()
and then
> attempts to create a write stream on the pipe using fdopen()
(something like
> this... from memory... not necessarily correct):
> 
> int mypipe[2];
> FILE *mystream;
> 
> pipe(mypipe);
> mystream = fdopen(mypipe[1], "w");
> 
> I can't seem to get fdopen() to return anything other than NULL. 
Any thoughts?

Well, I thought I had some then I started some research.  I've drawn
the conclusion that it won't work because the pipes are half-duplex. 
However, you should be able to fopen a /dev/null and use dup2 to
accomplish what you want (maybe:).

Anybody else?
==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".